package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author Chris Zamanillo
	 */
	public class Bullet extends Entity 
	{
		protected var m_damage:int = 0;
		protected var m_removeOnHit:Boolean = true;
		
		public function Bullet() 
		{
			type = "bullet";
		}
		
		public function GetDamage():int { return m_damage; }
		public function RemoveOnHit():Boolean { return m_removeOnHit; }
		
		override public function update():void 
		{
			if (x < 0 || x >= Main.SCREEN_WIDTH || y < 0 || y >= Main.SCREEN_HEIGHT)
			{
				FP.world.remove(this);
			}
			
			super.update();
		}
		
	}

}