package  
{
	import net.flashpunk.World;
	/**
	 * ...
	 * @author Chris Zamanillo
	 */
	public class Scene 
	{
		protected var m_world:World = null;
		protected var m_done:Boolean = false;
		protected var m_nextScene:Scene = null;
		
		public function Scene() 
		{
		}
		
		public function IsDone():Boolean { return m_done; }
		public function GetWorld():World { return m_world; }
		public function GetNextScene():Scene { return m_nextScene; }
		public function SetNextScene(scene:Scene):void { m_nextScene = scene; }
		
		public virtual function Initialize():void
		{
			
		}
		
		public virtual function Update():void
		{
			
		}
	}

}