package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	
	/**
	 * ...
	 * @author Chris Zamanillo
	 */
	public class ShotgunBullet extends Bullet 
	{
		public static const BULLET_SPEED:Number = 300.0;
		public static const DAMAGE:int = 10;

		protected var m_velX:Number = 0.0;
		protected var m_velY:Number = 0.0;
		
		public function ShotgunBullet(velX:Number, velY:Number) 
		{
			graphic = Image.createCircle(1);
			
			m_velX = velX;
			m_velY = velY;
			
			setHitbox(2, 2);
			
			m_damage = DAMAGE;
		}
		
		override public function update():void 
		{
			x += m_velX * FP.elapsed;
			y += m_velY * FP.elapsed;
			
			if (collide("level", x, y))
			{
				FP.world.remove(this);
			}
			
			super.update();
		}
	}

}