package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author Chris Zamanillo
	 */
	public class Weapon extends Entity
	{
		protected var m_fireRate:Number = 0.0;
		protected var m_fireRateTimer:Number = 0.0;
		protected var m_name:String = "";
		
		public function Weapon() 
		{
			
		}
		
		public function GetName():String { return m_name; }
		
		override public function update():void 
		{
			m_fireRateTimer += FP.elapsed;
			m_fireRateTimer = Math.min(m_fireRateTimer, m_fireRate);
			
			super.update();
		}
		
		public virtual function SpawnBullet(playerX:int, playerY:int, targetX:int, targetY:int):void
		{
			
		}
	}

}